Share
## https://sploitus.com/exploit?id=1337DAY-ID-34150
----------------------------------------------------------------
SITS:Vision 9.7.0 Authentication Bypass
----------------------------------------------------------------

[-] Software Link:

https://www.tribalgroup.com/software-and-services/student-information-systems/sitsvision


[-] Affected Versions:

Version 9.7.0 and possibly other versions.


[-] Vulnerability Description:

An authentication bypass vulnerability is present in the standalone SITS:Vision component of Tribal SITS in its default configuration, related to unencrypted communications sent by the client each time it is launched. This vulnerability allows unauthenticated attackers to gain access to credentials or execute arbitrary SQL queries on the SITS backend as long as they have access to the client executable or can intercept traffic from a user who does.


[-] Solution:

According to the vendor, changing a configuration setting to enable the Uniface TLS driver will mitigate the issue.


[-] Disclosure Timeline:

[15/11/2019] - Issue reported to vendor.
[18/11/2019] - Vendor replies that they consider this to be OK as it can be mitigated with a Uniface configuration change.
[20/11/2019] - CVE number assigned.
[23/03/2020] - Publication of this advisory.


[-] CVE Reference:

The Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name CVE-2019-19127 to this vulnerability.

#  0day.today [2020-03-26]  #